Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.dom
Class ElementDefinitionImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ParentNode
                  |
                  +--weblogic.apache.xerces.dom.ElementDefinitionImpl

Direct Known Subclasses:
  DeferredElementDefinitionImpl

public class ElementDefinitionImpl
extends ParentNode

NON-DOM CLASS: Describe one of the Elements (and its associated Attributes) defined in this Document Type.

I've included this in Level 1 purely as an anchor point for default attributes. In Level 2 it should enable the ChildRule support.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected NamedNodeMapImpl` | `attributes` Default attributes.
`protected java.lang.String` | `name` Element definition name.

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`ElementDefinitionImpl(DocumentImpl ownerDocument, java.lang.String name)` Factory constructor.

Method Summary
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Replicate this object.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` Query the attributes defined on this Element.
`java.lang.String` | `getNodeName()` Returns the element definition name
`short` | `getNodeType()` A short integer indicating what type of node this is.

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, normalize, removeChild, replaceChild, setReadOnly, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getReadOnly, getUserData, hasAttributes, removeEventListener, setNodeValue, setPrefix, setUserData, supports, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Element definition name.

### attributes

    protected NamedNodeMapImpl attributes

  Default attributes.

Constructor Detail

### ElementDefinitionImpl

    public ElementDefinitionImpl(DocumentImpl ownerDocument,
                                 java.lang.String name)

  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Overrides:
    getNodeType in class NodeImpl

### getNodeName

    public java.lang.String getNodeName()

  Returns the element definition name

  Overrides:
    getNodeName in class NodeImpl

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Replicate this object.

  Overrides:
    cloneNode in class ParentNode

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Query the attributes defined on this Element.

  In the base implementation this Map simply contains Attribute objects representing the defaults. In a more serious implementation, it would contain AttributeDefinitionImpl objects for all declared Attributes, indicating which are Default, DefaultFixed, Implicit and/or Required.

  Returns:
    org.w3c.dom.NamedNodeMap containing org.w3c.dom.Attribute
  Overrides:
    getAttributes in class NodeImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD